Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046892
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] Restaurantsmajorsometimes2021-05-28 15:432021-06-14 18:37
Reportertimothee_catteeuwView Statuspublic 
Assigned Toagonzalez 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046892: JIRA 1903 - Keymap takes long time to be displayed [performance]

DescriptionThe display of keymap has to be optimize because, it is necessary to wait for displaying at least 1 sec once I change the category.
When I test on Livebuild, it seems to be quicker but there are no keymaps with several page for example (so less articles)
I have done a video if needed but it is just needed to follow the described steps in order to reproduce.
Steps To ReproduceGo to NewWebPOS
Start a new ticket
Try to display several keymap by selecting several categories (cf. screenshot)
TagsPerformance
Attached Filespng file icon KEYMAP.png [^] (80,277 bytes) 2021-05-28 15:43

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0046897TAP closedRetail JIRA 1903 - Keymap takes long time to be displayed [performance] 

-  Notes
(0129415)
hgbot (developer)
2021-06-11 16:02

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/556 [^]
(0129420)
hgbot (developer)
2021-06-11 19:43

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/547 [^]
(0129487)
hgbot (developer)
2021-06-14 18:36

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 237c2e03034562708d625f341b6885dd7c86d656
Author: Angel Eduardo <angel.gonzalez@smfconsulting.com>
Date: 2021-06-14T18:33:53+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/237c2e03034562708d625f341b6885dd7c86d656 [^]

Related with ISSUE-46892: Uses an alternator to always refresh the usePagination hook so it won't skip the update phase when setting a new reference

---
M web-jspack/org.openbravo.core2/src/components/BaseKeymap/BaseKeymap.jsx
M web-jspack/org.openbravo.core2/src/components/BaseKeymap/hooks/usePagination.js
---
(0129488)
hgbot (developer)
2021-06-14 18:36

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/556 [^]
(0129489)
hgbot (developer)
2021-06-14 18:37

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: de848832bce5e5ed57d9700a81e75fb5cfd6690f
Author: Angel Eduardo <angel.gonzalez@smfconsulting.com>
Date: 2021-06-14T18:37:19+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/de848832bce5e5ed57d9700a81e75fb5cfd6690f [^]

Fixes ISSUE-46892: Loads the keymap product information in the keymap configuration generation instead of loading it every time the selected keymap category is changed.

---
A web-jspack/org.openbravo.pos2/src/configurations/keymapConfiguration/__test__/mockAssortmentProducts.js
M web-jspack/org.openbravo.pos2/src/components/ProductKeymap/GetProductKeymapInfo.js
M web-jspack/org.openbravo.pos2/src/components/ProductKeymap/ProductKeymap.jsx
M web-jspack/org.openbravo.pos2/src/components/ProductKeymap/__mock__/ProductKeymap.mock1.json
M web-jspack/org.openbravo.pos2/src/components/ProductKeymap/__mock__/ProductKeymapWithPrices.mock.json
M web-jspack/org.openbravo.pos2/src/components/ProductKeymap/__test__/ProductKeymap.test.jsx
M web-jspack/org.openbravo.pos2/src/configurations/keymapConfiguration/__test__/generateKeymapConfig.test.js
M web-jspack/org.openbravo.pos2/src/configurations/keymapConfiguration/__test__/mockAutomaticButtonGenerationConfigResult.js
M web-jspack/org.openbravo.pos2/src/configurations/keymapConfiguration/__test__/mockDefaultForTwoResolutionsConfigResult.js
M web-jspack/org.openbravo.pos2/src/configurations/keymapConfiguration/__test__/mockFullAssortmentConfigResult.js
M web-jspack/org.openbravo.pos2/src/configurations/keymapConfiguration/__test__/mockKeymapDefinesPositionsAndLayoutForOnlyOneResolutionKeymapConfigResult.js
M web-jspack/org.openbravo.pos2/src/configurations/keymapConfiguration/__test__/mockOneResolutionConfigResult.js
M web-jspack/org.openbravo.pos2/src/configurations/keymapConfiguration/__test__/mockOnlyProductCategoryWithExclusionConfigResult.js
M web-jspack/org.openbravo.pos2/src/configurations/keymapConfiguration/__test__/mockOnlyProductCategoryWithManualProductConfigResult.js
M web-jspack/org.openbravo.pos2/src/configurations/keymapConfiguration/__test__/mockTwoResolutionConfigResult.js
M web-jspack/org.openbravo.pos2/src/configurations/keymapConfiguration/__test__/mockWithDefinedSchemaPriceListConfigResult.js
M web-jspack/org.openbravo.pos2/src/configurations/keymapConfiguration/__test__/mockWithOnlyProductCategoryConfigResult.js
M web-jspack/org.openbravo.pos2/src/configurations/keymapConfiguration/generateKeymapConfig.js
M web-jspack/org.openbravo.pos2/src/configurations/keymapConfiguration/loadKeymapConfigurations.js
---
(0129490)
hgbot (developer)
2021-06-14 18:37

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/547 [^]

- Issue History
Date Modified Username Field Change
2021-05-28 15:43 timothee_catteeuw New Issue
2021-05-28 15:43 timothee_catteeuw Assigned To => Retail
2021-05-28 15:43 timothee_catteeuw File Added: KEYMAP.png
2021-05-28 15:43 timothee_catteeuw Triggers an Emergency Pack => No
2021-05-31 09:05 guilleaer Status new => acknowledged
2021-05-31 09:05 guilleaer Status acknowledged => scheduled
2021-05-31 09:05 guilleaer Status scheduled => acknowledged
2021-05-31 10:27 AugustoMauch Assigned To Retail => AugustoMauch
2021-05-31 10:27 AugustoMauch Status acknowledged => scheduled
2021-06-04 13:15 dmiguelez Summary JIRA 1903 - Display keymap is really long => JIRA 1903 - Keymap takes long time to be displayed
2021-06-04 13:15 dmiguelez Summary JIRA 1903 - Keymap takes long time to be displayed => JIRA 1903 - Keymap takes long time to be displayed [performance]
2021-06-04 13:16 dmiguelez Tag Attached: Performance
2021-06-11 09:07 AugustoMauch Assigned To AugustoMauch => agonzalez
2021-06-11 16:02 hgbot Note Added: 0129415
2021-06-11 19:43 hgbot Note Added: 0129420
2021-06-14 18:36 hgbot Note Added: 0129487
2021-06-14 18:36 hgbot Note Added: 0129488
2021-06-14 18:37 hgbot Resolution open => fixed
2021-06-14 18:37 hgbot Status scheduled => closed
2021-06-14 18:37 hgbot Note Added: 0129489
2021-06-14 18:37 hgbot Note Added: 0129490


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker